Package jnr.constants.platform.linux.loongarch64

# Enum RLIMIT

java.lang.Object
java.lang.Enum<RLIMIT>
jnr.constants.platform.linux.loongarch64.RLIMIT

All Implemented Interfaces:
  `Serializable`, `Comparable<RLIMIT>`, `java.lang.constant.Constable`, `Constant`

public enum RLIMIT extends Enum<RLIMIT> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RLIMIT_AS`
`RLIMIT_CORE`
`RLIMIT_CPU`
`RLIMIT_DATA`
`RLIMIT_FSIZE`
`RLIMIT_LOCKS`
`RLIMIT_MEMLOCK`
`RLIMIT_MSGQUEUE`
`RLIMIT_NICE`
`RLIMIT_NLIMITS`
`RLIMIT_NOFILE`
`RLIMIT_NPROC`
`RLIMIT_OFILE`
`RLIMIT_RSS`
`RLIMIT_RTPRIO`
`RLIMIT_RTTIME`
`RLIMIT_SIGPENDING`
`RLIMIT_STACK`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static RLIMIT`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RLIMIT[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### RLIMIT_AS

public static final RLIMIT RLIMIT_AS

### RLIMIT_CORE

public static final RLIMIT RLIMIT_CORE

### RLIMIT_CPU

public static final RLIMIT RLIMIT_CPU

### RLIMIT_DATA

public static final RLIMIT RLIMIT_DATA

### RLIMIT_FSIZE

public static final RLIMIT RLIMIT_FSIZE

### RLIMIT_LOCKS

public static final RLIMIT RLIMIT_LOCKS

### RLIMIT_MEMLOCK

public static final RLIMIT RLIMIT_MEMLOCK

### RLIMIT_MSGQUEUE

public static final RLIMIT RLIMIT_MSGQUEUE

### RLIMIT_NICE

public static final RLIMIT RLIMIT_NICE

### RLIMIT_NLIMITS

public static final RLIMIT RLIMIT_NLIMITS

### RLIMIT_NOFILE

public static final RLIMIT RLIMIT_NOFILE

### RLIMIT_NPROC

public static final RLIMIT RLIMIT_NPROC

### RLIMIT_OFILE

public static final RLIMIT RLIMIT_OFILE

### RLIMIT_RSS

public static final RLIMIT RLIMIT_RSS

### RLIMIT_RTPRIO

public static final RLIMIT RLIMIT_RTPRIO

### RLIMIT_RTTIME

public static final RLIMIT RLIMIT_RTTIME

### RLIMIT_SIGPENDING

public static final RLIMIT RLIMIT_SIGPENDING

### RLIMIT_STACK

public static final RLIMIT RLIMIT_STACK

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static RLIMIT[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static RLIMIT valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<RLIMIT>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`